# KDE-Benutzerhandbuch

2010-10-06
K Desktop Environment
plasmaengineexplorer
1

# `plasmaengineexplorer`

Ermöglicht den direkten Zugriff auf Plasma-Datenquellen

    plasmaengineexplorer --list --height  pixels --width  pixels -x  pixels -y  pixels --engine  data engine --source  data engine --interval  ms --app  application

    plasmaengineexplorer Allgemeine KDE-Optionen Allgemeine Qt-Optionen

## Beschreibung

`plasmaengineexplorer` ist eine grafische Benutzeroberfläche, mit der Entwickler Plasma-Datenquellen testen können, ohne ein Plasma-Miniprogramm zu schreiben.

Ist keine Option angegeben, wird das Programm ohne eine ausgewählte Datenquelle gestartet. Dann kann die gewünschte Quelle aus einem Auswahlfeld gewählt werden.

Nur installierte Datenquellen werden im Auswahlfeld angezeigt. Um auch gerade erst installierte Datenquellen auswählen zu können, muss möglicherweise noch `kbuildsycoca4` ausgeführt werden.

## Optionen

`--list pixels`

  Zeigt eine Liste bekannter Datenquellen und deren Beschreibungen an..

`--height`

  Legt die Höhe des Hauptfensters in Pixeln fest.

`--width pixels`

  Legt die Breite des Hauptfensters in Pixeln fest.

`-x pixels`

  Die horizontale X-Koordinate der oberen rechten Ecke des Fensters in Pixeln.

`-y pixels`

  Die vertikale Y-Koordinate der oberen rechten Ecke des Fensters in Pixeln.

`--engine data engine`

  Startet `plasmaengineexplorer` mit der angegebenen Datenquelle. `data engine` ist der interne Name der Datenquelle, der in der Desktopdatei mit dem Schlüssel X-KDE-PluginInfo-Name festgelegt ist.

`--source data engine`

  Diese Option ist nur zusammen mit `--engine` möglich. Dann werden beim Start von `plasmaengineexplorer` die Daten aus name für die Datenquelle benutzt.

`--interval time`

  Setzt den Standardwert für das Aktualisierungsintervall der angeforderten Datenquelle auf `time` Millisekunden. Ist diese Option nicht angegeben, wird die Datenquelle nur auf Anforderung aktualisiert, bei einigen Datenquellen nur, wenn neue Daten verfügbar sind.

  Zusammen mit der Option `--source` wird das Aktualisierungsintervall für die angegebene Datenquelle festgelegt.

`--app application`

  Nur Datenquellen anzeigen, die mit zur Eltern-Anwendung gehören (siehe der Eintrag X-KDE-ParentApp in der .desktop-Datei der Datenquelle).

## Siehe auch

Weitere ausführliche Dokumentation finden Sie unter help:/plasma-desktop (geben Sie diese URL entweder im &konqueror; ein oder starten Sie ``khelpcenter` `help:/plasma-desktop``).

## Beispiele

Laden der Zeit-Datenquelle, Anzeige der lokalen Zeit, die jede Sekunde aktualisiert wird.

    plasmaengineexplorer --engine time --source Local --interval 1000

## Autoren

`plasmaengineexplorer` wurde von Aaron Seigo aseigo@kde.org geschrieben.